CLUSTAL

MTCH_ARATH      ---------DGFKSHL----LPLPGTVYTVCGGPPCQGISGYNRYRNNEAPLEDQKNQQL
MTCH_ARAAR      ---------DGFKSHL----LPLPGTVYSVCGGPPCQGISGYNRFRNKQAPLEDKKNQQL
MTDM_ARATH      VSTTEANELAAKLTEEQKSTLPLPGQVDFINGGPPCQGFSGMNRFNQ--SSWSKVQCEMI
MET2_ARATH      VSTVEAAELAAKLDENQKSTLPLPGQVDFINGGPPCQGFSGMNRFSH--GSWSKVQCEMI
MTDM_PISAT      ISTAEAAELASKLDDKDLNSLPLPGQVDFINGGPPCQGFSGMNRFNT--STWSKVQCEMI
MTDM_MOUSE      -------EVTNSLGQR----LPQKGDVEMLCGGPPCQGFSGMNRFNS--RTYSKFKNSLV
MTDM_HUMAN      -------ETTNSRGQR----LPQKGDVEMLCGGPPCQGFSGMNRFNS--RTYSKFKNSLV
MTDM_XENLA      -------EKTNSLGQR----LPQKGDVEMLCGGPPCQGFSGMNRFNS--RTYSKFKNSLV
MTDM_PARLI      -------EKTSRTGQK----LPQKGDVELLCGGPPCQGFSGMNRFNS--REYSKFKNSLI
MTDM_CHICK      -------EKTNSLGQK----LPQKGDVEMLCGGPPCQGFSGMNRFNS--RTYSKFKNSLV
                                    **  * *  . ******* ** **.          .   .

MTCH_ARATH      LVFLDIIDFLKPNYVLMENVVDLLRFSKGFLARHAVASFVAMNYQTRLGMMAAGSYGLPQ
MTCH_ARAAR      LVFLDIIDFLKPSYVLMENVVDLLRFSKGYLARHAVASFVAMNYQTRLGMMTAGSYGLPQ
MTDM_ARATH      LAFLSFADYFRPRYFLLENVRTFVSFNKGQTFQLTLASLLEMGYQVRFGILEAGAYGVSQ
MET2_ARATH      LAFLSFADYFRPKYFLLENVKKFVTYNKGRTFQLTMASLLEMGYQVRFGILEAGTYGVSQ
MTDM_PISAT      LAFLSFADYFRPRYFLLENVRNFVSFNKGQTFRLTLASLLEMGYQVRFGILEAGAFGVSQ
MTDM_MOUSE      VSFLSYCDYYRPRFFLLENVRNFVSYRRSMVLKLTLRCLVRMGYQCTFGVLQAGQYGVAQ
MTDM_HUMAN      VSFLSYCDYYRPRFFLLENVRNFVSFKRSMVLKLTLRCLVRMGYQCTFGVLQAGQYGVAQ
MTDM_XENLA      VSYLSYCDYYRPKYFLLENVRNFVSFKKSMVLKLTLRCLVRMGYQCTFGVLQAGQYGVAQ
MTDM_PARLI      SSYLSYCDYYRPRFFLLENVRNFVSYKKNMVLKLALRCLIRMGYQCTFGILQAGQYGVPQ
MTDM_CHICK      VSFLSYCDYYRPRFFLLENVRNFVSFKRSMVLKLTLRCLVRMGYQCTFGVLQAGQYGVAQ
                  .*   *. .* . *.***   . . .    . .. . . *.**   *.. ** .*. *

MTCH_ARATH      LRNRVFLWAAQPSEKLPPYPLPTHEVAKKFNTPKEFKDLQ--VGRIQMEFLKLDNALTLA
MTCH_ARAAR      VRNRVFLWAAQPTEKLPPYPLPTHEVEKKYNTPKEFEDLQ--VGLIQKELLQLDNALTLA
MTDM_ARATH      SRKRAFIWAAAPEEVLPEWPEPMHVFGVPKLKISLSQGLHYAAVRSTALG-APFRPITVR
MET2_ARATH      PRKRVIIWAASPEEVLPEWPEPMHVFDNPGSKISLPRGLRYDAGCNTKFG-APFRSITVR
MTDM_PISAT      SRKRAFIWAASPEDVLPEWPEPMHVFSAPELKITLAENVQYAAVCSTANG-APLRAITVR
MTDM_MOUSE      TRRRAIILAAAPGEKLPLFPEPLHVFAPRACQLSVVVDDKKFVSNITRLSSGPFRTITER
MTDM_HUMAN      TRRRAIILAAAPGEKLPLFPEPLHVFAPRACQLSVVVDDKKFVSNITRLSSGPFRTITVR
MTDM_XENLA      TRRRAIVLAAAPGEKLPMFPEPLHVFAPRACTLSVVVDEKKYVSNTTRTNSSLFRTITVR
MTDM_PARLI      TRRRAIILAAAPGEKLPFYPEPLHVFSSRACSLSVMIGEKKIESNNQWCLSAPYRTITVR
MTDM_CHICK      TRRRAIVLAAAPGEKLPMFPEPLHVFAPRACQLSVVVDDKKFVSNITRTYSGPFRTITVR
                 * *  . ** * . **  * * *               .                .*  
